FROM overv/openstreetmap-tile-server:1.7.4
EXPOSE 80
# Remove all original style files
RUN rm -rf /home/renderer/src/openstreetmap-carto/style/*.mss
RUN rm -fr /home/renderer/src/openstreetmap-carto/project.mml
# Add custom style files
ADD carto-style /home/renderer/src/openstreetmap-carto
# Recompile the stylesheet
RUN cd /home/renderer/src/openstreetmap-carto \
 && carto project.mml > mapnik.xml \
 && scripts/get-external-data.py

##TODO ADD map-data/
